Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## org.crosswire.bibledesktop.desktop
Enum XSLTProperty

    java.lang.Object
      java.lang.Enum<XSLTProperty>
          org.crosswire.bibledesktop.desktop.XSLTProperty

All Implemented Interfaces:
  Serializable, Comparable<XSLTProperty>

    public enum XSLTProperty

extends Enum<XSLTProperty>

Defines properties that control the behavior of translating OSIS to HTML.

Author:
  DM Smith
See Also:
  `for license details.`

Enum Constant Summary
`BASE_URL` What is the base of the current document.
`BCV` Show book, chapter and verse numbers.
`CSS` What is the base of the current document.
`CV` Show chapter and verse numbers.
`DIRECTION` Is the dominant language direction LtoR or RtoL.
`FONT` What is the base of the current document.
`HEADINGS` Should headings be shown
`MORPH` Determines whether Word Morphology (e.g.
`NO_VERSE_NUMBERS` Show no verse numbers
`NOTES` Should notes be shown
`START_VERSE_ON_NEWLINE` Determines whether verses should start on a new line.
`STRONGS_NUMBERS` Determines whether Strong's Numbers should show
`TINY_VERSE_NUMBERS` Show verse numbers as a superscript.
`VARIANT` What variant should be shown, default is "1".
`VERSE_NUMBERS` Show verse numbers
`XREF` Should cross references be shown

Field Summary
`private boolean` | `asURL` Whether the string state should be converted to an URL when setting the property.
`private String` | `defaultState` The default state of the XSLTProperty
`private String` | `name` The name of the XSLTProperty
`private String` | `state` The current state of the XSLTProperty

Method Summary
`static XSLTProperty` | `fromInteger(int i)` Lookup method to convert from an integer
`static XSLTProperty` | `fromString(String name)` Lookup method to convert from a String
`boolean` | `getDefaultState()`
`String` | `getDefaultStringState()`
`String` | `getName()`
`boolean` | `getState()`
`String` | `getStringState()`
`static void` | `setProperties(org.crosswire.common.xml.TransformingSAXEventProvider provider)`
`void` | `setProperty(org.crosswire.common.xml.TransformingSAXEventProvider provider)`
`void` | `setState(boolean newState)`
`void` | `setState(String newState)`
`String` | `toString()`
`static XSLTProperty` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static XSLTProperty[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### STRONGS_NUMBERS

    public static final XSLTProperty STRONGS_NUMBERS

  Determines whether Strong's Numbers should show

### MORPH

    public static final XSLTProperty MORPH

  Determines whether Word Morphology (e.g. Robinson) should show

### START_VERSE_ON_NEWLINE

    public static final XSLTProperty START_VERSE_ON_NEWLINE

  Determines whether verses should start on a new line.

### VERSE_NUMBERS

    public static final XSLTProperty VERSE_NUMBERS

  Show verse numbers

### CV

    public static final XSLTProperty CV

  Show chapter and verse numbers.

### BCV

    public static final XSLTProperty BCV

  Show book, chapter and verse numbers.

### NO_VERSE_NUMBERS

    public static final XSLTProperty NO_VERSE_NUMBERS

  Show no verse numbers

### TINY_VERSE_NUMBERS

    public static final XSLTProperty TINY_VERSE_NUMBERS

  Show verse numbers as a superscript.

### HEADINGS

    public static final XSLTProperty HEADINGS

  Should headings be shown

### NOTES

    public static final XSLTProperty NOTES

  Should notes be shown

### XREF

    public static final XSLTProperty XREF

  Should cross references be shown

### BASE_URL

    public static final XSLTProperty BASE_URL

  What is the base of the current document. Note this needs to be set each time the document is shown.

### DIRECTION

    public static final XSLTProperty DIRECTION

  Is the dominant language direction LtoR or RtoL. Used to change layout order.

### FONT

    public static final XSLTProperty FONT

  What is the base of the current document. Note this needs to be set each time the font changes.

### CSS

    public static final XSLTProperty CSS

  What is the base of the current document.

### VARIANT

    public static final XSLTProperty VARIANT

  What variant should be shown, default is "1".

Field Detail

### name

    private String name

  The name of the XSLTProperty

### defaultState

    private String defaultState

  The default state of the XSLTProperty

### state

    private String state

  The current state of the XSLTProperty

### asURL

    private boolean asURL

  Whether the string state should be converted to an URL when setting the property.

Method Detail

### values

    public static XSLTProperty[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (XSLTProperty c : XSLTProperty.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static XSLTProperty valueOf(String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `IllegalArgumentException` - if this enum type has no constant with the specified name
    `NullPointerException` - if the argument is null

### getName

    public String getName()

  Returns:
    the name of the property

### getDefaultState

    public boolean getDefaultState()

### getDefaultStringState

    public String getDefaultStringState()

### getState

    public boolean getState()

### getStringState

    public String getStringState()

### setState

    public void setState(boolean newState)

### setState

    public void setState(String newState)

### setProperty

    public void setProperty(org.crosswire.common.xml.TransformingSAXEventProvider provider)

### setProperties

    public static void setProperties(org.crosswire.common.xml.TransformingSAXEventProvider provider)

### fromString

    public static XSLTProperty fromString(String name)

  Lookup method to convert from a String

### fromInteger

    public static XSLTProperty fromInteger(int i)

  Lookup method to convert from an integer

### toString

    public String toString()

  Overrides:
    `toString` in class `Enum<XSLTProperty>`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Copyright ¨ 2003-2015
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD